import type { AccountCount, CouponList, CouponSituation } from '@/api/types/coupon'
import { API_DOMAINS, http } from '@/http/alova'

/**
 *
 * @returns 获取首页优惠券数据
 */
export function getCouponList() {
    return http.Get<CouponList>('/couponCenter/APP/couponTemplate/queryByType', {
        meta: {
            ignoreAuth: true,
        },
    })
}

export function getAccountCount() {
    return http.Get<AccountCount>('/couponCenter/APP/couponIssuerAccount/queryByUserId')
}

export function getCouponSituation() {
    return http.Get<CouponSituation>('/couponCenter/APP/couponUserAsset/queryBySendUserId')
}
